// ******** Tools ****************

int max(int a, int b)
{
  if(a>b)
    return(a);
  else
    return(b);  
}

int min(int a, int b)
{
  if(a<b)
    return(a);
  else
    return(b);  
}

// ******** Information functions **********

int bitmapSize(unsigned char* BitTomb)
{
  return( (BitTomb[2]+BitTomb[3]*256) + (BitTomb[4]+BitTomb[5]*256)*65535 );
}

int bitmapWidth(unsigned char* BitTomb)
{
  return((BitTomb[18]+BitTomb[19]*256) + (BitTomb[20]+BitTomb[21]*256)*65535);
}

int bitmapHeight(unsigned char* BitTomb)
{
  return((BitTomb[22]+BitTomb[23]*256) + (BitTomb[24]+BitTomb[25]*256)*65535);
}

// ******** Drawing functions *************

void PutBmp(QWidget *aWidget, int x, int y, unsigned char* BitT, int size)
{
   QPixmap pm;
   pm.loadFromData(BitT,size);
   bitBlt(aWidget,x,y,&pm);
}

void PutBmpTrans(QWidget *aWidget, int x, int y, unsigned char* BitT, int size)
{
   QPixmap pm;
   pm.loadFromData(BitT,size);
   pm.setMask( pm.createHeuristicMask() );
   bitBlt(aWidget,x,y,&pm);
}
